Dragging boundary not enforced
Closed, ResolvedPublic

Description

When you scroll the slider so that the buttons are no longer on the current page and then try to drag the blue beyond the yellow, the lines move out of the field completely.

Expected behavior: shouldn't be able to drag blue past yellow.

See gif

Page where this can be reproduced

Present in

Chromium Version 58.0.3029.110 Ubuntu 16.04 (64-bit)
Firefox Version 54.0 Ubuntu 16.04 (64-bit)
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 19 2017, 10:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

To clarify, this bug is present in the current deployed revision slider as well.

Lea_WMDE moved this task from Incoming to TODO on the Revision-Slider board.Jul 4 2017, 1:51 PM

Change 364404 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] Let pointers block each other at the ends of the slider

https://gerrit.wikimedia.org/r/364404

WMDE-Fisch moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team-Board board.
WMDE-Fisch moved this task from TODO to Doing on the Revision-Slider board.Jul 13 2017, 8:48 AM

Change 364404 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Let pointers block each other at the ends of the slider

https://gerrit.wikimedia.org/r/364404

Tobi_WMDE_SW closed this task as Resolved.Tue, Jul 25, 2:43 PM